Download it now!
Bug 128257 - Impress bullets dialog update
Summary: Impress bullets dialog update
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.4.0 target:6.5.0 target:6.4.0.1
Keywords:
Depends on:
Blocks: Bullet-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2019-10-19 22:42 UTC by andreas_k
Modified: 2019-12-03 11:28 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Bullets Dialog 01 (187.51 KB, image/png)
2019-10-19 22:42 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-10-19 22:42:05 UTC
Created attachment 155157 [details]
Bullets Dialog 01

The idea is to make an better arrangement for the sd bullet dialog.

Top master, Bottom proposal

Bullet, Graphic and Number section renewal.

Properties are aligned and each section get an alignment too.
Comment 1 Heiko Tietze 2019-10-22 12:03:22 UTC
This dialog is WIP by Gulsah. She started to rework the B&N dialog as proposed in https://design.blog.documentfoundation.org/2017/10/28/impress-lists/. Saving space in the mockup by omitting some labels.
Comment 2 Thomas Lendo 2019-10-22 21:03:29 UTC
I like the proposed changes although I assume that the small "column area" before the drop-down boxes will be a problem for some localizations with longer terms than English (for example in the Scope section with "Slide" and "Selection").

Next step should be the implementation of Heiko's and Gulsah's WIP.
Comment 3 Commit Notification 2019-11-03 12:42:51 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e82b10f21cb8b77f815be3bd7654e0de7e8ceab5

tdf#128257 Bullet Dialog update

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-11-04 21:14:05 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/41fdebcd50a541dfae11d94ecc32523a932826be

tdf#128257 Bullet Dialog update 2

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-11-16 12:09:33 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/559fa1016928bf2bc1259f026a9a3d101a0131f0

tdf#128257 Bullet and Numbering Dialog

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Heiko Tietze 2019-11-16 18:40:23 UTC
6.4 / 6.5 are quite mixed here. Backport the latest patch and resolve as fixed?
Comment 7 Commit Notification 2019-11-18 12:40:33 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/3d57d82dc782588f7e2fa55a39a9d20ab23401cd

tdf#128257 Bullet and Numbering Dialog

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Heiko Tietze 2019-11-21 15:04:10 UTC
Resolve as fixed?
Comment 9 Xisco Faulí 2019-12-03 10:33:02 UTC
(In reply to Heiko Tietze from comment #8)
> Resolve as fixed?

Andreas -> ping